aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorTom Ryder <tom@sanctum.geek.nz>2023-03-11 18:29:35 +1300
committerTom Ryder <tom@sanctum.geek.nz>2023-03-11 18:29:35 +1300
commiteb0a456ee9f8e77756c8ee73ee727d70b0fa0022 (patch)
tree8d354045ebc8e2e04f99538ae6f66e1f559497f5
parentUse newer rgb: syntax for xterm color resources (diff)
downloaddotfiles-eb0a456ee9f8e77756c8ee73ee727d70b0fa0022.tar.gz
dotfiles-eb0a456ee9f8e77756c8ee73ee727d70b0fa0022.zip
Add SSH host completion for Mosh
-rw-r--r--bash/bash_completion.d/mosh.bash5
1 files changed, 5 insertions, 0 deletions
diff --git a/bash/bash_completion.d/mosh.bash b/bash/bash_completion.d/mosh.bash
new file mode 100644
index 00000000..17d72ca1
--- /dev/null
+++ b/bash/bash_completion.d/mosh.bash
@@ -0,0 +1,5 @@
+# Completion for mosh(1) with ssh_config(5) hostnames
+if ! declare -F _ssh_config_hosts >/dev/null ; then
+ source "$HOME"/.bash_completion.d/_ssh_config_hosts.bash
+fi
+complete -F _ssh_config_hosts -o bashdefault -o default mosh